/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

//
// Globaly style for Fonts
//

$font-size-global: 1rem !default; // Assumes the browser default, tipically '16px'

// Fonts
$font-size-base: 16px;
$font-size-md: 18px;
$font-size-lg: 20px;
$font-size-big: 24px;
$font-size-sm: 12px;
$font-weight-light: 200 !default;
$font-weight-normal: 400 !default;
$font-weight-bold: 700 !default;
$font-weight-base: $font-weight-normal !default;

//Set default font FiraGO for NUIverse
$fira-go: 'true';

// Global colors
$default: rgb(211, 211, 211) !default;
$primary: rgb(0, 112, 192) !default;
$secondary: rgb(74, 142, 203) !default;
$danger: rgb(226, 62, 50) !default;
$info: rgb(127, 127, 127) !default;
$warning: rgb(255, 152, 0) !default;
$success: rgb(93, 218, 35) !default;
$selected: rgb(255, 255, 255) !default;
$link: rgb(255, 255, 255) !default;
$dark: rgb(26, 26, 26) !default;
$black: rgb(0, 0, 0) !default;
$white: rgb(255, 255, 255) !default;
$text-muted: rgba(127, 127, 127, 0.521) !default;
$gray-text: rgb(124, 124, 124) !default;

// Theme

$default-color: #2e2e2e;
$default-border-color: #aab2ba;

// Body global style 
$body-default-color: $white !default;
$body-font-family: '';

@if ($fira-go == 'true') {
  $body-font-family: 'FiraGo Regular', sans-serif;
} @else {
  $body-font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, 'Helvetica Neue', Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol', 'Noto Color Emoji';
}


$global-weight-normal: 400;
$global-line-height: 1.5;
$body-font-color: $black !default;
$global-button-cursor: default;

// Ratio and base variables
$ratio: 1.2;
$base: 1;
$base-rem: $base * 1rem;
$base-px: $base * 16px;


// Themes
$theme-colors: () !default;
$theme-colors: map-merge((
  'default': $default,
  'primary': $primary,
  'secondary': $secondary,
  'danger': $danger,
  'info': $info,
  'warning': $warning,
  'success': $success,
  'selected': $selected,
  'link': $link,
  'dark': $dark,
  'black': $black,
  'white': $white,
), $theme-colors);

//
// Paddings
//

$padding-base-y: 8px;
$padding-base-x: 12px;

// Padding small sile
$padding-sm-y: 4px;
$padding-sm-x: 6px;

//Padding medium size
$padding-md-y: 14px;
$padding-md-x: 16px;

//Padding large size
$padding-lg-y: 24px;
$padding-lg-x: 26px;

// Padding extra large
$padding-big-y: 36px;
$padding-big-x: 28px;

$padding-mark: 4px;

//
// Margin
//

$margin-base-y: 10px;
$margin-base-x: 12px;

// Margin small sile
$margin-sm-y: 4px;
$margin-sm-x: 6px;

//Margin medium size
$margin-md-y: 14px;
$margin-md-x: 16px;

//Margin large size
$margin-lg-y: 24px;
$margin-lg-x: 26px;

// Margin extra large
$margin-big-y: 36px;
$margin-big-x: 28px;

//
// List
//

$style-list: ();
$style-list: map-merge((
  '1':  armenian,
  '2':  cjk-ideographic,
  '3':  decimal,
  '4':  decimal-leading-zero,
  '5':  georgian,
  '6':  hebrew,
  '7':  hiragana,
  '8':  hiragana-iroha,
  '9':  katakana,
  '10': katakana-iroha,
  '11': lower-alpha,
  '12': lower-greek,
  '13': lower-latin,
  '14': lower-roman,
  '15': none,
  '16': upper-alpha,
  '17': upper-greek,
  '18': upper-latin,
  '19': upper-roman,
  '20': initial,
  '21': disc,
  '22': circle,
  '23': none,
  '24': square,
), $style-list);

//
// Global Size Width and height
//

// This variable for global classes Width and height
$sizes: () !default;
$sizes: map-merge((
  0: 0%,
  5: 5%,
  10: 10%, 
  15: 15%, 
  20: 20%, 
  25: 25%,
  30: 30%, 
  35: 35%, 
  40: 40%, 
  45: 45%, 
  50: 50%,
  55: 55%,
  60: 60%,
  65: 65%,
  70: 70%,
  75: 75%,
  80: 80%,
  85: 85%,
  90: 90%, 
  95: 95%,
  100: 100%,
  auto: auto
), $sizes);

// 
// Spacing
//

// Map containing variances of sizes focused on the spacing of the elements of the NUIverse. 
// You can add more variants if you //need to.

// Default space value, is the same font size
$spacer: 14px !default;
$spacers: () !default;
$spacers: map-merge((
  0: 0,
  1: ($spacer * 0.25),
  2: ($spacer * 0.5),
  3: $spacer,
  4: ($spacer * 1.5),
  5: ($spacer * 3)
), $spacers);

// 
// Global Padding
// 

//
// Border radius 
// 

$global-border-radius: 6px;
$button-border-radius: 20px;

//
// Badges
// 

$badge-font-size: 75% !default;
$badge-font-weight: $font-weight-bold !default;
$badge-padding-y: 0.4rem !default;
$badge-padding-x: 0.4rem !default;

$badge-pill-padding: 0.35rem;
$badge-pill-border-radius: 10rem !default;

// Z-index master list
$zindex-dropdown: 1000 !default;
$zindex-sticky: 1020 !default;
$zindex-fixed: 1030 !default;
$zindex-modal: 1040 !default;
$zindex-popover: 1050 !default;
$zindex-tooltip: 1060 !default;

// 
// Global breakpoints
//

// Define the minimum dimensions at which your layout will change,
// adapting to different screen sizes, for use in media queries.

$global-breakpoints: (
  small: 480px,
  mobile: 768px,
  tablet: 769px, 
  desktop: 1024px,
  largescreen: 1216px,
  fullhd: 1408px
) !default;

// 
// Grid columns
//

// Set the number of columns and specify the width of the gutters.

$grid-columns: 12;
$column-margin: 0.75rem !default;
